## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		pepc
Version:	1.5.15
Release:	%autorelease
Summary:	Power, Energy, and Performance Configurator

License:	BSD-3-Clause
Url:		https://github.com/intel/pepc
Source0:	%url/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-pytest
Requires:	python3-pepc = %{version}-%{release}

%description
Pepc stands for "Power, Energy, and Performance Configurator".
This is a command-line tool for configuring various Linux and Hardware 
power management features.

%package -n python3-%{name}
Summary:	Pepc Python libraries

%description -n python3-%{name}
Pepc Python libraries

%prep
%autosetup -n %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pepclibs pepctool

%check
%pytest -v

%files
%license LICENSE.md
%doc README.md CHANGELOG.md
%{_bindir}/pepc
%{_datadir}/pepc
%{_mandir}/man1/pepc*

%files -n python3-%{name} -f %{pyproject_files}

%changelog
## START: Generated by rpmautospec
* Thu Jun 06 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.5.15-1
- update to 1.5.15

* Mon Apr 15 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.5.13-1
- update to 1.5.13

* Fri Feb 16 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.5.5-1
- Update to 1.5.5

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.5.2-1
- Update to 1.5.2

* Tue Oct 31 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.4.37-1
- Update to 1.4.37

* Wed Aug 23 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.4.32-1
- update to 1.4.32

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Python Maint <python-maint@redhat.com> - 1.4.25-2
- Rebuilt for Python 3.12

* Wed Jun 28 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.4.25-1
- update to 1.4.25

* Mon Jun 12 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.4.21-1
- update to 1.4.21

* Thu Jun 08 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.4.20-1
- update to 1.4.20

* Mon May 08 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.4.15-1
- Update to 1.4.15

* Tue Apr 18 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 1.4.12-1
- Update to 1.4.12

* Mon Mar 20 2023 aekoroglu <aekoroglu@linux.intel.com> - 1.4.8-1
- Update to 1.4.8

* Thu Mar 02 2023 aekoroglu <aekoroglu@linux.intel.com> - 1.4.0-1
- update to 1.4.0

* Mon Jan 30 2023 aekoroglu <aekoroglu@linux.intel.com> - 1.3.43-1
- Fix 'pepc cstates config --pkg-cstate-limit' option

* Fri Jan 20 2023 aekoroglu <aekoroglu@linux.intel.com> - 1.3.42-1
- Update to 1.3.42 : 'pepc cstates config --pkg-cstate-limit' option fix

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.41-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 10 2023 aekoroglu <aekoroglu@linux.intel.com> - 1.3.41-1
- update to 1.3.41

* Tue Nov 29 2022 aekoroglu <aekoroglu@linux.intel.com> - 1.3.32-1
- update to 1.3.32

* Thu Oct 13 2022 aekoroglu <aekoroglu@linux.intel.com> - 1.3.22-1
- Update to 1.3.22

* Thu Sep 22 2022 aekoroglu <aekoroglu@linux.intel.com> - 1.3.20-1
- update to 1.3.20

* Tue Sep 13 2022 aekoroglu <ali.erdinc.koroglu@intel.com> - 1.3.17-1
- update to 1.3.17 (RHBZ #2125446)

* Wed Sep 07 2022 aekoroglu <ali.erdinc.koroglu@intel.com> - 1.3.16-1
- update to 1.3.16

* Thu Aug 25 2022 aekoroglu <ali.erdinc.koroglu@intel.com> - 1.3.14-1
- update to 1.3.14 (RHBZ #2117446)

* Wed Aug 03 2022 aekoroglu <ali.erdinc.koroglu@intel.com> - 1.3.12-1
- update to 1.3.12 (RHBZ #2113139)

* Thu Jul 21 2022 aekoroglu <ali.erdinc.koroglu@intel.com> - 1.3.11-1
- update to 1.3.11

* Wed Jul 06 2022 aekoroglu <ali.erdinc.koroglu@intel.com> - 1.3.9-1
- initial commit
## END: Generated by rpmautospec
